package com.bcxin.risk.report.enums.draft;

/**
 * 段落级别
 * @author luopeng
 *
 */
public enum DraftPhase {
	
	FIRST {public String getValue(){return "1";} public String getName(){return "初稿";}},
	
	REVIEW {public String getValue(){return "2";} public String getName(){return "复核稿";}},
	
	FINALIZE  {public String getValue(){return "3";} public String getName(){return "终稿";}};
	

    public abstract String getValue();
    
    public abstract String getName();
    
    public static DraftPhase convert_value(String value){
    	if ( "1".equals(value) ) {
    		return DraftPhase.FIRST;
    	} else if ( "2".equals(value) ) {
    		return DraftPhase.REVIEW;
    	} else if ("3".equals(value)) {
    		return DraftPhase.FINALIZE;
    	} 
    	return null;
    }
 
}
